/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "confshowimg.h"

#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qwhatsthis.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qradiobutton.h>
#include <qslider.h>

#include <kcolorbutton.h>
#include <kiconloader.h>
#include <klocale.h>
#include <kpixmapeffect.h>

/* XPM */
static char *image10_data[] = {
/* columns rows colors chars-per-pixel */
"80 71 256 2",
"   c #1405c2",
".  c #1212c2",
"X  c #0d22c2",
"o  c #0d34c2",
"O  c #2d0fc2",
"+  c #2a22c2",
"@  c #2834c2",
"#  c #0e4dc2",
"$  c #0e5ec2",
"%  c #0a71c2",
"&  c #2d48c2",
"*  c #2259c2",
"=  c #355ac2",
"-  c #2470c2",
";  c #396fc2",
":  c #440dc2",
">  c #560dc2",
",  c #4a21c2",
"<  c #4434c2",
"1  c #5635c2",
"2  c #6b0dc2",
"3  c #6a21c2",
"4  c #6a36c2",
"5  c #5148c2",
"6  c #5354c2",
"7  c #4662c2",
"8  c #4877c2",
"9  c #5962c2",
"0  c #5f72c2",
"q  c #5e7ec2",
"w  c #7048c2",
"e  c #7054c2",
"r  c #7062c2",
"t  c #7871c2",
"y  c #797fc2",
"u  c #0ec20d",
"i  c #0ec22c",
"p  c #28c20f",
"a  c #39c20f",
"s  c #23c22f",
"d  c #36c22d",
"f  c #0dc255",
"g  c #0dc279",
"h  c #1ec27b",
"j  c #21c256",
"k  c #35c256",
"l  c #32c279",
"z  c #48c20d",
"x  c #5dc20f",
"c  c #47c22f",
"v  c #54c230",
"b  c #77c20a",
"n  c #62c230",
"m  c #76c22c",
"M  c #48c25a",
"N  c #5ac25b",
"B  c #46c27e",
"V  c #59c27f",
"C  c #68c25b",
"Z  c #72c257",
"A  c #68c27e",
"S  c #72c27c",
"D  c #21beb5",
"F  c #0d94c2",
"G  c #1084c2",
"H  c #0ca2c2",
"J  c #0eadc2",
"K  c #2587c2",
"L  c #2d97c2",
"P  c #3986c2",
"I  c #2da3c2",
"U  c #37aac2",
"Y  c #35b2c2",
"T  c #0bc291",
"R  c #0ec1b2",
"E  c #27c291",
"W  c #39c293",
"Q  c #35c1b3",
"!  c #48bfb8",
"~  c #56bfb5",
"^  c #488cc2",
"/  c #4c99c2",
"(  c #5f8cc2",
")  c #48a2c2",
"_  c #48acc2",
"`  c #5ea4c2",
"'  c #5eacc2",
"]  c #619ac2",
"[  c #7290c2",
"{  c #7e9ec2",
"}  c #66b2c2",
"|  c #7ea8c2",
" . c #7db0c2",
".. c #48c297",
"X. c #5fc296",
"o. c #72c296",
"O. c #65c0b5",
"+. c #75c0b5",
"@. c #c20a15",
"#. c #c21718",
"$. c #c20f36",
"%. c #c2220d",
"&. c #c2350a",
"*. c #c2222b",
"=. c #c2322b",
"-. c #c23e29",
";. c #c20552",
":. c #c21155",
">. c #c20d77",
",. c #c22155",
"<. c #c22e52",
"1. c #c23a54",
"2. c #c22175",
"3. c #c23575",
"4. c #c2480c",
"5. c #c25f0a",
"6. c #c2482f",
"7. c #c2562c",
"8. c #c2770f",
"9. c #c2642d",
"0. c #c2762e",
"q. c #c24856",
"w. c #c25859",
"e. c #c24b7a",
"r. c #c25d7a",
"t. c #c26259",
"y. c #c2685d",
"u. c #c27647",
"i. c #c2697a",
"p. c #c27660",
"a. c #c2717d",
"s. c #c27e7e",
"d. c #bc09b8",
"f. c #be15b4",
"g. c #be21b3",
"h. c #be2db6",
"j. c #be39b7",
"k. c #810dc2",
"l. c #920ec2",
"z. c #8220c2",
"x. c #8334c2",
"c. c #9427c2",
"v. c #933dc2",
"b. c #a20dc2",
"n. c #a521c2",
"m. c #a133c2",
"M. c #aa3ac2",
"N. c #bf45b8",
"B. c #bd4fba",
"V. c #bd59b5",
"C. c #bd65bb",
"Z. c #bf72b6",
"A. c #8647c2",
"S. c #8656c2",
"D. c #964bc2",
"F. c #8665c2",
"G. c #8c71c2",
"H. c #8c7fc2",
"J. c #9961c2",
"K. c #9c71c2",
"L. c #9d7ec2",
"P. c #a34cc2",
"I. c #aa46c2",
"U. c #a662c2",
"Y. c #ab72c2",
"T. c #c20c91",
"R. c #c2208c",
"E. c #c2358e",
"W. c #c2399b",
"Q. c #c24a90",
"!. c #c24c9e",
"~. c #c26192",
"^. c #c27196",
"/. c #c27f96",
"(. c #c264a3",
"). c #bcbf2e",
"_. c #bebe7e",
"`. c #93c20a",
"'. c #84c229",
"]. c #91c22e",
"[. c #a3c20e",
"{. c #b8c00e",
"}. c #a2c22e",
"|. c #acc22d",
" X c #82c259",
".X c #96c258",
"XX c #82c27d",
"oX c #94c27e",
"OX c #a6c259",
"+X c #b8c148",
"@X c #a4c27d",
"#X c #b8c160",
"$X c #b0c27f",
"%X c #c2940b",
"&X c #c28420",
"*X c #c28f2d",
"=X c #c2a20e",
"-X c #c2ae09",
";X c #c2a029",
":X c #c2af2a",
">X c #c2845a",
",X c #c29059",
"<X c #c29a53",
"1X c #c28c7f",
"2X c #c2967e",
"3X c #c2a259",
"4X c #c2ac57",
"5X c #c2b559",
"6X c #c2a47e",
"7X c #c2b07d",
"8X c #85bfbb",
"9X c #95bfbb",
"0X c #bc80bc",
"qX c #be8bb7",
"wX c #be96bb",
"eX c #bebf97",
"rX c #a2bfbb",
"tX c #bea2bc",
"yX c #beaabc",
"uX c #bdbfa7",
"iX c #bfbabd",
"pX c #8390c2",
"aX c #9592c2",
"sX c #95a2c2",
"dX c #95acc2",
"fX c #95b2c2",
"gX c #a880c2",
"hX c #ac8bc2",
"jX c #a293c2",
"kX c #ac96c2",
"lX c #a2a5c2",
"zX c #aca5c2",
"xX c #a2b0c2",
"cX c #acb2c2",
"vX c #b5b3c2",
"bX c #83c296",
"nX c #94c296",
"mX c #85c2a6",
"MX c #95c2a6",
"NX c #a2c297",
"BX c #aec296",
"VX c #a3c2a6",
"CX c #aec2a6",
"ZX c #aec0ba",
"AX c #b6c1ba",
"SX c #bec0bc",
"DX c #c28c96",
"FX c #c29697",
"GX c #c280a6",
"HX c #c296a6",
"JX c #c2a497",
"KX c #c2b297",
"LX c #c2a5a6",
"PX c #c2b2a7",
"IX c #c0b3bb",
"UX c #d1cfcf",
/* pixels */
"@.@.%.&.&.4.5.5.8.&X%X=X-X{.{.[.`.`.b b x z z a p u u u u i i f f f g g T T R R R J H F G % $ $ # o o X .       O : : > 2 2 k.l.b.d.d.d.d.T.T.;.;.;.;.;.;.@.@.@.",
"@.#.#.&.4.4.5.9.8.&X%X=X-X{.{.[.`.`.b b x z a a p u u u u i i f f f g g T T R R R J F F G % $ $ # o X X .         : > > 2 k.k.l.b.b.d.d.T.d.d.d.;.;.;.;.;.@.@.@.",
"@.#.%.&.-.4.5.9.8.&X%X=X-X{.{.[.`.`.b b x x a a p u u u u i i f f f g g T T R R R J H F G G $ $ # # o X .       : : : > 2 2 k.l.b.d.d.d.d.;.T.;.T.;.;.;.@.;.@.@.",
"@.#.%.&.-.7.5.8.8.&X%X=X-X-X{.{.`.`.b b x x z a a u u u i i i f f f g g g J R R R J H F G % $ $ # o o X .     O   : > > 2 k.k.l.l.d.d.d.d.d.d.;.>.;.;.;.;.@.@.@.",
"@.%.%.&.4.4.5.9.8.&X%X=X-X{.{.[.`.`.b b x z z a p p u u i i i f f f J f T T R R J J H F G G % $ # # o X X .   O : : > > 2 k.k.l.b.d.d.d.T.T.T.T.>.>.:.$.;.@.@.@.",
"#.%.%.&.4.7.5.8.8.&X%X=X-X{.-X[.`.`.b b x x z a p p u u i i i f f f g T T T R R R J H F G % % $ # # o o . . O   O : > > 2 k.k.l.b.b.d.d.d.T.T.>.>.:.;.$.$.$.$.@.",
"#.%.&.&.4.7.5.8.8.%X%X=X-X{.{.[.`.`.b b x x z z p p u u i i f f f f g g T R R R R J H F G % % $ # # o X X . . O : : > > 2 k.l.l.b.f.f.f.T.f.>.>.>.:.:.:.$.$.$.#.",
"#.%.&.-.4.7.5.8.&X&X%X=X-X{.:X`.:X`.'.b x x z a a p p i i i i f f f g h g D R R R J J F G G - $ # # o o X . O O O : > 2 2 k.k.l.b.b.f.f.f.f.f.R.>.2.:.:.:.#.$.#.",
"#.%.=.&.4.7.5.8.8.*X=X=X:X{.{.[.`.'.'.b m x ) z a s u I u s J s j h J j T D D D D J I F K % - $ * # @ o + . + + , , , 3 3 z.z.n.n.f.f.f.f.f.:.R.>.2.:.,.:.#.#.#.",
"#.%.&.4.4.7.9.8.&X*X%X-X:X:X{.}.-X`.{ b b x z z a p p u s u s f j f h h T h R R D J H L F G - $ * # @ o X + . , O > , 2 2 z.k.n.b.n.f.g.f.R.f.n.:.2.,.:.,.,.#.#.",
"*.*.&.-.7.5.5.8.8.*X%X=X:X{.{.}.`.`.b b x n x c a p p s s s j j j h h h D D D D D J I F K K - - * # & @ X + + O , , 3 3 3 z.z.n.n.n.f.g.f.R.R.2.:.R.,.,.:.*.,.#.",
"%.=.=.4.4.7.9.0.&X*X;X:X:X).:X[.}.`.].b m x v z d d p i s j i j h j h h h h D D D Y J L K G % - * # & @ X + + + , , , 3 z.k.z.n.n.n.g.g.g.R.f.2.n.2.,.,.,.#.*.*.",
"*.=.-.6.7.5.9.8.&X*X%X=X:X{.|.}.}.].'.b m ` x c a d p s s I p j j J j D h D D D D J I H K K - - * * & o @ + + , , , 3 3 3 z.z.n.n.n.g.g.g.g.2.R.,.,.2.,.,.,.*.*.",
"%.=.&.6.7.5.0.0.&X*X;X:X:X{.:X}.-X].'.b b x x z ) d s u p s j j j j h E E D E D D Y I L K K - - * # & @ @ + + + , , , 3 z.z.z.n.n.n.g.g.R.h.g.R.,.n.,.,.*.,.*.*.",
"=.=.-.6.7.5.9.8.&X*X;X=X:X).|.[.].].'.'.n n x c z a d s s j j k l l h E E E D D D Y H I K K - - = * & @ @ + + , , 1 3 3 x.c.c.c.n.h.h.g.g.h.<.g.<.<.2.<.<.,.<.*.",
"<.&.6.6.7.9.0.0.&X*X<X:X:X).).).].=X'.'.m m v v z d d s d d j j l j E l E D E Q D Y U L L P - - - * & & @ @ < < , 1 3 4 3 x.c.m.c.h.h.h.h.R.h.h.2.h.<.,.<.<.*.=.",
"=.=.6.7.7.9.0.0.&X*X;X=X:X).).}.}.'.'.'.m n n v c d d I p k U s k Y j Y l Q D Q D Y I L K K ; - = * & & @ + + < , 1 3 4 z.x.c.m.n.h.h.h.h.h.<.E.<.<.<.<.<.<.<.=.",
"=.-.6.6.9.9.0.0.*X*X;X:X:X:X).|.}.`.| m m b ` v c a a s d p j k j l l l E E Q Q D Y U I L K P - ; = & & & @ < < 1 , 4 4 4 c.x.m.m.m.h.h.E.h.h.h.h.<.m.<.<.<.<.=.",
"=.-.6.7.7.9.0.&X>X*X;X4X).).|.|.}.}.`.b m n x x ) z d d k k k k l l l W Q Q Q D Q Y I L L P 8 - ; * = & < @ < < 1 1 4 3 x.x.c.m.m.h.h.h.h.E.E.<.E.<.<.3.<.=.<.=.",
"1.-.6.7.J.0.y.&X*X*X;X;X:X5X).:X}.].`.| m m x x v c d d d k k k l l l W E W Q Q E Y U ) L K P ; ; = = & @ < < < 1 4 4 4 x.x.v.m.m.M.j.j.j.h.E.m.E.3.3.3.1.<.1.=.",
"-.-.6.7.5.9.0.&X,X*X;X4X:X|.+X}.}.].].'.b m n v v d d U a k k U k l l Y W Q Q Q Y Y I I ^ P P - ; = = & & < < < 1 4 4 4 x.x.m.m.M.m.j.j.j.W.E.E.3.3.3.3.1.1.1.=.",
"1.q.7.7.9.0.0.>X*X<X;X4X:X).5X}.4X}.]. Xm Z n N v c z d k k d k B l B W W W Q ! W Y U ) L P P ; ; 7 6 = < & < 1 1 4 4 A.x.v.v.M.M.j.j.j.j.j.W.W.1.M.1.3.1.1.1.-.",
"-.6.7.w.9.y.0.&X>X%X3X:X:X+X).}.}.].].].m | x n v M c k c U c k B l B Y W ! Q ! Q _ U ) L ^ P ; ; = = = & < 5 < 5 4 4 4 v.x.v.M.M.M.j.j.j.W.W.W.W.1.1.1.1.1.1.1.",
"1.q.7.w.9.u.u.>X*X<X;X3X).5X+X}.4X.X.X'.b m b ' v M c d c k M Y k B B B W W ! Q ..Y U ) / P P 8 ; 7 = 6 5 & < 5 1 w w w v.A.v.v.I.M.N.j.N.I.Q.W.e.M.q.I.1.1.q.-.",
"-.q.7.t.9.G.8.*X*X<X3X4X:X+X+X|.}.]..X].Z Z m n n v M c M M M M B l B Y B ! ! ! ! U _ ) L ^ P 8 8 7 7 = & 5 5 5 5 4 w 4 A.A.v.I.I.j.N.N.W.N.Q.W.e.1.W.q.q.1.q.q.",
"q.7.w.7.0.0.>X>X*X<X;X4X5X).+X5XOX}..X`.| m n C v N c M k M k M B B B ....! Q ! ! B ) ) / ^ ^ 8 8 ; 7 6 5 5 1 5 w w w A.A.v.D.I.I.I.N.N.N.N.N.Q.N.e.Q.q.q.q.1.q.",
"q.7.w.9.y.0.>X>X*X<X3X:X5X+X+X}..X.X].].'.m Z ' x M _ z M M B M _ M ......! ! ! ! Y _ ) / ^ ^ 8 8 7 7 = 5 & 5 5 5 w w A.A.D.v.I.I.N.N.N.N.Q.Q.Q.q.Q.q.W.q.q.q.q.",
"q.7.t.t.y.u.&X>X,X;X3X4X5X5X+X5X}.4X.X X Xm b Z n x v M M M M M B B B ......! ! ! _ _ ) ) ^ ^ 8 8 8 7 7 6 6 5 5 w w w w A.D.D.P.P.I.B.!.N.Q.N.Q.I.Q.e.e.e.q.q.q.",
"q.w.t.9.u.u.>X,X*X<X3X:X5X+X+XOXOX.X]..X X XZ C n ' v M N _ v B V B ~ B ! ! ~ ! ~ ! _ ) / ^ ^ q 8 0 7 6 6 5 6 w w w w S.A.D.D.P.B.B.B.B.B.!.Q.Q.e.e.e.e.e.q.q.w.",
"w.7.t.y.u.u.>X>X<X;X3X4X4X+X+X5XOXOX`.dX'. XZ n n N v M v N M ' B V B ~ V ..~ ! V _ ' ) ] / ^ ^ 8 8 9 7 7 5 6 6 e e w S.D.S.P.P.P.B.B.B.B.B.!.V.e.P.e.w.e.w.w.q.",
"w.w.t.y.K.8.,X,X,X3X3X5X5X+X+XOX}.OX.X]. X XZ Z C N N N M N M N B V ~ B ~ ~ ~ ~ ~ ! ' ) ] / ( q 8 q 9 9 9 6 6 w e e S.S.S.S.P.U.P.B.B.B.B.V.!.e.r.r.e.w.P.w.e.w.",
"w.t.9.0.u.>X>X,X<X<X4X4X5X5X#X5X.X4X.X.X.Xb | Z C N N N N V V N _ V V ~ V ~ ~ ~ ~ ' _ ` ) ( ^ ( 8 0 8 9 6 6 6 6 e e S.S.S.D.J.P.P.V.V.V.V.V.V.!.V.e.V.w.w.w.w.w.",
"w.t.y.y.p.u.>X,X<X<X3X4X+X5X+XOXOX.X.X X X Xm m Z ' v N _ v V V N V ~ V ~ ~ ~ ~ ~ ~ ' ` / ] ( ( q 8 0 9 9 6 r e e e S.S.J.S.U.U.V.V.V.B.V.V.r.V.r.r.r.e.w.w.w.w.",
"w.t.y.0.L.>X,X,X<X3X4X4X5X#X#X5XOX.X4X.X.X'. .m n C n N N N V V V V V ~ V ~ ~ ~ ~ ' V ' ` / ^ q ( 0 0 0 9 9 6 r e r S.S.S.P.J.P.U.V.V.V.V.V.r.V.V.V.r.r.V.w.r.w.",
"t.t.y.u.u.>X>X,X<X3X4X5X5X#X#XOXOXOX.X X.X X XZ Z C C N N V A V } V } V X.X.O.~ O.~ ` ` ` ] ] ( q q 0 0 9 9 e r r r F.J.J.J.J.U.V.U.V.V.V.~.V.r.r.r.r.r.r.r.r.t.",
"t.y.a.u.s.&XjX,X<X3X6X4X5X5X#X5XOXOX}.dX.X X X XZ C A n } C V C V V X.X.O.O.O.~ X.} ' ' ] ] ( ( q q 0 0 r 9 r r e F.S.F.S.J.U.U.U.V.C.C.(.V.V.~.V.~.~.r.r.r.t.r.",
"y.y.y.p.s.>X,X,X<X6X4X5X_.5X#X#X@XOX.X.X.X X .m } Z C N C N A A X.A O.X.O.X.O.O.O.O.' ' ` ] ( ( ( q 0 0 0 9 r r r F.F.F.J.J.U.U.C.C.C.C.C.C.(.(.~.~.i.~.t.~.t.t.",
"9.K.p.p.>X>X,X2X3X6X4X4X5X_.#XOX5X@XOX.X X.X X XZ C C C A A C } X.A X.X.O.O.O.O.} A } | ` ` ] ( ( y q 0 0 r r t r F.F.J.J.J.U.U.U.C.C.C.(.(.C.(.(.~.U.i.i.i.i.y.",
"y.u.p.p.>XhX,X<X<X6X4X7X#X_.5X$XOX@XOXfX].oX X X .Z C } C A A A A } o.O.O.O.O.O.O.} ' ' ] { ] [ ( q y 0 r 0 r t r F.F.G.J.K.U.Y.U.C.C.C.C.C.i.C.i.i.i.i.~.i.i.y.",
"y.a.p.>X>X1X,X2X3X6X4X7X5X#X$X5XOXOXOX.X.XoX X X XZ Z C A A A A A A A O.o.O.O.+.O.}  .' | ] [ [ ( y q t 0 r r t F.t G.F.J.K.U.Y.C.Z.C.Z.C.Z.^.C.Z.i.U.i.i.i.i.i.",
"a.p.p.s.>X,XjX<X3XlX4X7X5X_.#X_.@X@X@X.XfX.X X .Z S Z } Z S } S o.o.o.O.o.+.O.+.+.O.} | ` ` [ [ [ ( y q t 0 t t F.F.G.K.K.K.U.Y.Y.C.Z.Z.C.Z.^.i.^.^.a.a.i.a.i.a.",
"a.u.L.>X1X,X2X<X3X3X7X5X_.5X_._.OX7XOX.XoX.X.X X . XZ Z S Z S S } o.o.o.O.+.+.O.+.S  .} | { ] [ [ y y y t t t t t G.G.G.K.K.Y.Y.Y.Y.Z.Z.Z.Z.Z.Z.^.(.a.Y.a.a.a.a.",
"a.p.s.>X1X,X2X2X6X6X7X7X_._.#X$X$X@X@XOXoXoX X X XS S S S S S o.S o.} o.+.+.+.+.+.}  .} | ` { [ [ [ q y 0 t t t G.G.G.K.K.K.Y.Y.Z.Z.Z.Z.Z.Z.Z.^.Z.^.^.a.a.a.a.a.",
"p.s.s.1X>X2X2X3X6X4X7X5X5X_._.#X5X@X@X.XfXoXoXoXXXXXZ  .S o.XXo.o.o.bXo.+.+.+.+.} XX} | | { { { [ y [ y y y t y G.H.G.K.L.Y.Y.Y.Y.Y.Z.Z.Z.Z.Z./.^./.^.^.s.a.p.s.",
"s.s.>X1X1X2X2X6X6X6X7XKX_._.#X$X$X@X@XOX.X.XoXfX X XS  XS S  .S bX+.o.+.+.+.+.8X+. . . .| ` { { [ [ [ y y y t H.G.H.H.K.L.L.gXY.0X0XZ.0X0XZ.Z.0X^././.^./.^.s.a.",
"p.s.gX1X1X2X2X6X6X4X7X_.7X_._._.@X7X@X@X@XoX X.X .XXXXS XXXXXXS  .bXbX+.mX+.8X+.+. .S  . .{ { { [ pXpXy y y H.y H.G.L.L.K.Y.gX0XY.0X0XZ.GX0X/./.0X^.gXs.^.s.s.s.",
"s.>X>X1X2X2X2XlX3X6X7X7X_._._._.@X$X@X@XfXOXoXoX XXXXX . Xo.bXXXo.bXbX+.8X+.mX8X+.8X .|  .| { { pX[ pXy y y H.H.H.H.L.L.L.gXgXgX0X0X0X0X0XZ.0X/./././.s././.s.s.",
"/.1X1X,XjX2X3X6X6X7XKX7X_._._._.$X_.@X@X@XoXoXoXoXXXXX X .XXbXbXbXo.8XbX8X8X8X+.mX . . X| | { { { pXpXpXy H.y H.H.H.L.L.L.gXgXgX0X0X0XGX0XGX0XGX0X/./.gXs./.s./.",
"s.1X1X1X2X<XJX6X6X7X_.7X_._._.$X$X@X@X@X@XfX.XfX.XXXXXXXXXXXbX .XX8XbX8XbX8X8X8X8X8X . .| | { { { pXpXpXH.y H.H.H.H.aXgXgXgXgX0X0X0X0X0X0X0XGXGXGXGX/.DXs./.1X/.",
">XhX1X2X2XFX3XzX6X6X7XKX_._._._._.cX_.@X@X@XoXoXfXbXoXbXbXbXXXbXbXbX8XmX8X8X8X8X8X .bX .dX .sX{ aX{ pXpXpXpXpXH.aXH.gXL.hXhXgXhX0XqX0XqXqXqXqXGXqXqXDX/.hX1X/.1X",
"1X1X2XFX2XJX6X6X7XKXKXKX_.eXeX$X$X$X@X@X@X@XoXoXoXoXXXfXXXoX8XnX8XbX8XbX8XmX8X8X8X9XfX .dX .dX{ sX{ aXaXpXH.aXH.jXaXaXgXgXhXhXhXhXqXqX0XqXGXqXqXDXGXDXDX/.1XDX1X",
"DX1X2XkX2XJX6XyX7X6X_.KX_.eX_.eX_.$XKX@XxXNX@XoXfXoXoXbXoXbXoX .nXnXmX9X8XMX8X9X8XfXXXfX .dXsX| aX{ aXpXaXpXaXH.aXH.hXjXhXhXhXqX0XqXqXqXqXqXqXqXqXDXqXDXDXDXDXDX",
"DX2XFX2X6XkX6X6X7XcX7X_.KXeX_.BXBXBX$XNX@X@XNXoXoXoXoXnXfXXXnXnXbX9XnX8X9XmX9X8X9X8XfXdXdX .dXsXsX{ aXpXaXaXaXaXjXhXaXjXhXhXhXkXqXqXqXqXwXqXDXqXDXDXqXDXDXDXDX1X",
"FXFXFX2X6X6XJX7XJX7XeXKX_.eXeXeX_.BXBXBXNX@XfXNXoX9XoXXXnXnXnXnX9XmXnX9X8X9X9X9X9XfX8XfX.XdX| dXsXsXsXaXaXpXaXaXaXaXhXjXkXhXkXqXhXwXwXwXqXqXwXqXwXqXHXDXkXDXDXFX",
"FX2XtX2XJXJXJXKXKXKXKXeXeXeXeXeXBX_.BXBX$XNX@XNXoXfXoXnX9XnXfXnX9XnX9XMXMX9XmX9X9X9XfXfXdXdXdXsXsXsXsXaXaXaXaXjXjXjXjXjXkXkXkXwXwXqXwXwXwXwXHXHXHXFXHXDXFXFXFXFX",
"FXFXFXJXJX6XyXJXKXKXKXKX_.eXeXBXuXeX$XcXBX@XcXNX@XNXnXnXoXnXnXnX9XMX9X9X9X9XMX9X9X9X9XfXfXdXdXdXsXsXsXsXaXaXjXaXaXjXjXkXkXkXkXkXwXwXwXwXwXHXwXwXwXwXFXwXHXHXFXFX",
"FXJXkX6XzX6X7XKXKXKXeXKXeXeXeXeXBXeXBXBXBXNX@XNXnXNXfXoX9XnX9XnX9XnX9XMX9X9X9X9X9X9X9XfXfXdXdXdXsXsXsXsXsXaXjXsXkXkXjXkXkXkXwXkXwXwXwXwXwXwXwXHXHXHXwXFXFXHXFXFX",
"FXJXJXJXLXKXJXcXKXKXKXiXeXeXeXeXeXBXeXBXBXBXcXNXNXNXNXNXNXnXNXrXMXrXrX9XrXMXrX9XrX9XfXNXfX@XdXxXdXlXsXlXsXsXsXjXkXlXkXzXkXwXzXwXtXwXwXtXwXHXwXtXwXHXtXFXtXHXHXJX",
"JXtX6XLXLXKXLX7XKXvX_.KXeXiXeXuXBXuXBXZXBXBXBXNXxXNXnXrXfXNXrXNX9XNXVXMXrXrXrXrXrXrXfXxXfXxXxXdXdXlXlXlXkXkXlXlXlXkXzXkXzXkXtXtXtXtXwXtXtXtXtXtXtXtXtXFXJXtXtXFX",
"tXJXLXJXyXPXPXKXKXiXKXiXeXeXeXuXuXeXBXuXBXZXNXBXBXNXNXNXNXNXrXNXrXrXrXrXVX9XrXrXrXrXVXxXNXxXxXdX4XlXsXlXlXlXsXkXlXzXzXzXtXzXzXtXtXtXtXtXtXtXtXHXJXtXtXtXJXtXJXJX",
"JXJXyXJXyX7XyXKXKXeXeXPXeXuXuXuXBXuXuXZXBXuXNXZXBXrXNXrXrXNXrXrXNXrXVXrXrXrXrXrXrXrXrXcXrXxXxXxXfXxXlXdXlXlXlXzXzXzXtXzXzXtXtXzXtXtXtXtXtXtXLXtXtXtXJXJXtXJXtXJX",
"LXJXyXKXKXyXKXiXIXKXiXuXuXuXuXuXuXZXeXBXZXeXZXBXcXBXBXrXNXrXNXrXrXVXrXZXrXZXrXrXZXrXrXrXxXNXcXxXcXxXcXzXlXzXzXlXzXzXzXzXtXzXzXtXtXtXtXtXtXLXtXLXJXtXtXJXtXLXLXLX",
"yXyXyXJXvXKXPXKXuXPXiXeXuXuXuXuXuXuXuXZXeXrXBXBXCXrXBXZXBXZXZXCXZXZXrXCXrXZXrXZXZXZXcXZXcXcXcXxXcXcXxX7XdXzXzXzXzXzXzXyXzXtXvXyXyXyXyXyXyXyXyXyXyXyXLXyXyXyXyXyX",
"KXKXPXKXPXIXPXiXPXeXiXiXuXuXuXuXuXZXeXZXeXZXuXZXZXBXcXZXrXCXCXrXZXZXZXZXZXZXZXrXZXrXZXcXrXZXBXcXcXxXzXcXzXcXzXcXyXcXyXzXvXyXyXyXyXyXIXyXyXyXyXtXPXyXyXLXyXLXLXyX",
"yXPXvXPXIXuXIXiXiXeXiXeXiXuXuXuXuXuXuXuXuXCXZXeXZXBXBXBXZXZXZXZXCXZXZXZXZXZXZXZXZXZXZXZXcXcXcXcXuXxXcXcXcXcXcXzXcXvXvXyXvXyXcXyXIXyXyXyXIXIXIXyXyXPXIXPXPXPXPXPX",
"PXIXPXPXIXPXeXiXPXiXuXiXSXSXSXuXSXuXAXAXZXuXiXCXiXZXZXuXZXCXZXZXZXZXZXZXAXZXZXZXZXZXZXiXZXZXZXZXcXvXvXvXyXcXvXvXyXvXvXvXvXvXvXIXyXIXIXIXIXIXyXIXIXIXIXyXPXyXIXyX",
"IXIXiXiXiXIXiXiXiXiXuXSXeXSXSXuXSXuXSXuXAXuXZXAXuXZXZXiXCXiXZXAXAXAXAXAXZXAXAXAXAXvXZXiXZXvXvXiXZXvXuXcXvXvXvXvXvXvXyXvXvXIXIXIXIXIXIXIXIXIXIXIXIXIXIXIXIXIXIXPX",
"PXiXKXiXiXuXiXeXiXuXSXSXSXSXSXSXSXSXuXSXuXAXuXAXuXAXuXZXAXAXuXAXAXAXAXAXAXiXAXAXAXZXiXZXiXAXiXZXvXZXvXiXvXvXvXvXvXvXiXIXIXvXiXiXiXiXIXIXIXiXiXIXIXIXiXiXiXIXiXiX",
"iXiXiXSXuXiXiXSXiXSXiXSXSXSXSXuXSXSXSXSXSXSXSXAXSXAXuXAXAXAXAXAXAXAXSXAXAXSXAXSXSXAXSXAXiXZXiXAXvXSXiXZXiXiXiXSXiXiXiXiXiXiXiXiXiXiXSXiXiXiXiXSXiXIXiXiXiXiXIXiX",
"iXSXUXUXiXSXSXSXSXuXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXAXSXSXAXSXAXSXAXiXAXAXiXSXSXAXiXSXiXAXAXiXiXiXiXSXiXiXiXiXiXiXiXiXiXiXiXiXiXSXuXiXiXuXiXSXiX",
"SXUXUXSXSXSXSXiXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXSXiXSXSXSXiXSXiXSXSXAXiXAXSXSXSXSXSXSXSXSXSXSXSXSXSXiXiXSXSXiXSXSXSXSX"
};


static const char* const layout1_data[] = {
"72 72 50 1",
". c #000000",
"b c #000083",
"d c #313131",
"c c #474747",
"a c #535353",
"x c #b7996e",
"w c #e2c79e",
"t c #e5d1b3",
"s c #eee1cf",
"e c #f0f0f0",
"v c #f3f3f3",
"f c #faf1e7",
"V c #ffffc9",
"U c #ffffcb",
"T c #ffffcc",
"S c #ffffce",
"R c #ffffcf",
"Q c #ffffd1",
"P c #ffffd2",
"O c #ffffd4",
"N c #ffffd5",
"M c #ffffd7",
"L c #ffffd8",
"K c #ffffda",
"J c #ffffdb",
"I c #ffffdd",
"H c #ffffde",
"G c #ffffe0",
"F c #ffffe1",
"E c #ffffe2",
"D c #ffffe4",
"C c #ffffe5",
"B c #ffffe7",
"A c #ffffe8",
"z c #ffffea",
"y c #ffffeb",
"u c #ffffed",
"r c #ffffee",
"q c #fffff0",
"p c #fffff1",
"o c #fffff3",
"n c #fffff4",
"m c #fffff6",
"l c #fffff7",
"k c #fffff9",
"j c #fffffa",
"i c #fffffc",
"h c #fffffd",
"g c #fffffe",
"# c #ffffff",
"........................................................................",
".######################################################################.",
".######################################################################.",
".######################################################################.",
".#######........................#######################################.",
".#####..########################..#####################################.",
".####..##########################..####################################.",
".####.##aa########################.####################################.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###bbbbbbbbbbbbbbbbbbbbbbbbbbbb####.",
".###.###aa###aaaaacd###############.###bbbbbbbbbbbbbbbbbbbbbbbbbbbb####.",
".###.###aa###aeeeef.###############.###b##############ghijklmnopqrb####.",
".###.###aa###ae##fs.###############.###b##############ghijklmnopqrb####.",
".###.###aaaa#ae#fst.##aaaa#aaaaaa##.###b#############ghijklmnopqrub####.",
".###.###aaaa#avfstw.#aaaa##aaaaa###.###b#############ghijklmnopqrub####.",
".###.###aa###cfstwx.###############.###b############ghijklmnopqruyb####.",
".###.###aa###d......###############.###b############ghijklmnopqruyb####.",
".###.###aa#########################.###b###########ghijklmnopqruyzb####.",
".###.###aa#########################.###b###########ghijklmnopqruyzb####.",
".###.###aa#########################.###b##########ghijklmnopqruyzAb####.",
".###.###aa#########################.###b##########ghijklmnopqruyzAb####.",
".###.###aa#########################.###b#########ghijklmnopqruyzABb####.",
".###.###aa#########################.###b#########ghijklmnopqruyzABb####.",
".###.###aa###aaaaacd###############.###b########ghijklmnopqruyzABCb####.",
".###.###aa###aeeeef.###############.###b########ghijklmnopqruyzABCb####.",
".###.###aa###ae##fs.###############.###b#######ghijklmnopqruyzABCDb####.",
".###.###aaaa#ae#fst.##aaaa#aaaaaa##.###b######ghijklmnopqruyzABCDEb####.",
".###.###aaaa#avfstw.#aaaa##aaaaa###.###b######ghijklmnopqruyzABCDEb####.",
".###.########cfstwx.###############.###b#####ghijklmnopqruyzABCDEFb####.",
".###.########d......###############.###b#####ghijklmnopqruyzABCDEFb####.",
".###.##############################.###b####ghijklmnopqruyzABCDEFGb####.",
".####.############################.####b####ghijklmnopqruyzABCDEFGb####.",
".####..##########################..####b###ghijklmnopqruyzABCDEFGHb####.",
".#####..########################..#####b###ghijklmnopqruyzABCDEFGHb####.",
".#######........................#######b##ghijklmnopqruyzABCDEFGHIb####.",
".######################################b##ghijklmnopqruyzABCDEFGHIb####.",
".######################################b#ghijklmnopqruyzABCDEFGHIJb####.",
".#######........................#######b#ghijklmnopqruyzABCDEFGHIJb####.",
".#####..########################..#####bghijklmnopqruyzABCDEFGHIJKb####.",
".####..##########################..####bghijklmnopqruyzABCDEFGHIJKb####.",
".####.############################.####bhijklmnopqruyzABCDEFGHIJKLb####.",
".###.#####aaaaacd#######aaaaacd####.###bhijklmnopqruyzABCDEFGHIJKLb####.",
".###.#####aeeeef.#######aeeeef.####.###bijklmnopqruyzABCDEFGHIJKLMb####.",
".###.#####ae##fs.#######ae##fs.####.###bijklmnopqruyzABCDEFGHIJKLMb####.",
".###.#####ae#fst.#######ae#fst.####.###bjklmnopqruyzABCDEFGHIJKLMNb####.",
".###.#####avfstw.#######avfstw.####.###bjklmnopqruyzABCDEFGHIJKLMNb####.",
".###.#####cfstwx.#######cfstwx.####.###bklmnopqruyzABCDEFGHIJKLMNOb####.",
".###.#####d......#######d......####.###blmnopqruyzABCDEFGHIJKLMNOPb####.",
".###.##############################.###blmnopqruyzABCDEFGHIJKLMNOPb####.",
".###.##############################.###bmnopqruyzABCDEFGHIJKLMNOPQb####.",
".###.####aaaaaaaaaa####aaaaaaaaaa##.###bmnopqruyzABCDEFGHIJKLMNOPQb####.",
".###.###aaaaaaaaaa####aaaaaaaaaa###.###bnopqruyzABCDEFGHIJKLMNOPQRb####.",
".###.##############################.###bnopqruyzABCDEFGHIJKLMNOPQRb####.",
".###.##############################.###bopqruyzABCDEFGHIJKLMNOPQRSb####.",
".###.#####aaaaacd#######aaaaacd####.###bopqruyzABCDEFGHIJKLMNOPQRSb####.",
".###.#####aeeeef.#######aeeeef.####.###bpqruyzABCDEFGHIJKLMNOPQRSTb####.",
".###.#####ae##fs.#######ae##fs.####.###bpqruyzABCDEFGHIJKLMNOPQRSTb####.",
".###.#####ae#fst.#######ae#fst.####.###bqruyzABCDEFGHIJKLMNOPQRSTUb####.",
".###.#####avfstw.#######avfstw.####.###bqruyzABCDEFGHIJKLMNOPQRSTUb####.",
".###.#####cfstwx.#######cfstwx.####.###bruyzABCDEFGHIJKLMNOPQRSTUVb####.",
".###.#####d......#######d......####.###bruyzABCDEFGHIJKLMNOPQRSTUVb####.",
".###.##############################.###bbbbbbbbbbbbbbbbbbbbbbbbbbbb####.",
".###.##############################.###bbbbbbbbbbbbbbbbbbbbbbbbbbbb####.",
".###.####aaaaaaaaaa####aaaaaaaaaa##.###################################.",
".####.##aaaaaaaaaa####aaaaaaaaaa##.####################################.",
".####..##########################..####################################.",
".#####..########################..#####################################.",
".#######........................#######################################.",
".######################################################################.",
".######################################################################.",
".######################################################################.",
"........................................................................"};

static const char* const layout2_data[] = {
"72 72 50 1",
". c #000000",
"k c #000083",
"c c #313131",
"b c #474747",
"a c #535353",
"j c #b7996e",
"i c #e2c79e",
"g c #e5d1b3",
"f c #eee1cf",
"d c #f0f0f0",
"h c #f3f3f3",
"e c #faf1e7",
"V c #ffffc9",
"U c #ffffcb",
"T c #ffffcc",
"S c #ffffce",
"R c #ffffcf",
"Q c #ffffd1",
"P c #ffffd2",
"O c #ffffd4",
"N c #ffffd5",
"M c #ffffd7",
"L c #ffffd8",
"K c #ffffda",
"J c #ffffdb",
"I c #ffffdd",
"H c #ffffde",
"G c #ffffe0",
"F c #ffffe1",
"E c #ffffe2",
"D c #ffffe4",
"C c #ffffe5",
"B c #ffffe7",
"A c #ffffe8",
"z c #ffffea",
"y c #ffffeb",
"x c #ffffed",
"w c #ffffee",
"v c #fffff0",
"u c #fffff1",
"t c #fffff3",
"s c #fffff4",
"r c #fffff6",
"q c #fffff7",
"p c #fffff9",
"o c #fffffa",
"n c #fffffc",
"m c #fffffd",
"l c #fffffe",
"# c #ffffff",
"........................................................................",
".######################################################################.",
".######################################################################.",
".######################################################################.",
".######........................##########........................######.",
".####..########################..######..########################..####.",
".###..##########################..####..##########################..###.",
".###.##aa########################.####.############################.###.",
".##.###aa#########################.##.#####aaaaabc#######aaaaabc####.##.",
".##.###aa#########################.##.#####adddde.#######adddde.####.##.",
".##.###aa###aaaaabc###############.##.#####ad##ef.#######ad##ef.####.##.",
".##.###aa###adddde.###############.##.#####ad#efg.#######ad#efg.####.##.",
".##.###aa###ad##ef.###############.##.#####ahefgi.#######ahefgi.####.##.",
".##.###aaaa#ad#efg.##aaaa#aaaaaa##.##.#####befgij.#######befgij.####.##.",
".##.###aaaa#ahefgi.#aaaa##aaaaa###.##.#####c......#######c......####.##.",
".##.###aa###befgij.###############.##.##############################.##.",
".##.###aa###c......###############.##.##############################.##.",
".##.###aa#########################.##.####aaaaaaaaaa####aaaaaaaaaa##.##.",
".##.###aa#########################.##.###aaaaaaaaaa####aaaaaaaaaa###.##.",
".##.###aa#########################.##.##############################.##.",
".##.###aa#########################.##.##############################.##.",
".##.###aa#########################.##.#####aaaaabc#######aaaaabc####.##.",
".##.###aa#########################.##.#####adddde.#######adddde.####.##.",
".##.###aa###aaaaabc###############.##.#####ad##ef.#######ad##ef.####.##.",
".##.###aa###adddde.###############.##.#####ad#efg.#######ad#efg.####.##.",
".##.###aa###ad##ef.###############.##.#####ahefgi.#######ahefgi.####.##.",
".##.###aaaa#ad#efg.##aaaa#aaaaaa##.##.#####befgij.#######befgij.####.##.",
".##.###aaaa#ahefgi.#aaaa##aaaaa###.##.#####c......#######c......####.##.",
".##.########befgij.###############.##.##############################.##.",
".##.########c......###############.##.##############################.##.",
".##.##############################.##.####aaaaaaaaaa####aaaaaaaaaa##.##.",
".###.############################.####.##aaaaaaaaaa####aaaaaaaaaa##.###.",
".###..##########################..####..##########################..###.",
".####..########################..######..########################..####.",
".######........................##########........................######.",
".######################################################################.",
".######################################################################.",
".######################################################################.",
".######################################################################.",
".#######kkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkk#######.",
".#######kk############################llmmnnooppqqrrssttuuvvwwkk#######.",
".#######kk##########################llmmnnooppqqrrssttuuvvwwxxkk#######.",
".#######kk########################llmmnnooppqqrrssttuuvvwwxxyykk#######.",
".#######kk######################llmmnnooppqqrrssttuuvvwwxxyyzzkk#######.",
".#######kk####################llmmnnooppqqrrssttuuvvwwxxyyzzAAkk#######.",
".#######kk##################llmmnnooppqqrrssttuuvvwwxxyyzzAABBkk#######.",
".#######kk################llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCkk#######.",
".#######kk##############llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDkk#######.",
".#######kk############llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEkk#######.",
".#######kk##########llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFkk#######.",
".#######kk########llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGkk#######.",
".#######kk######llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHkk#######.",
".#######kk####llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIkk#######.",
".#######kk##llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJkk#######.",
".#######kk##llmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJkk#######.",
".#######kkllmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKkk#######.",
".#######kkmmnnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLkk#######.",
".#######kknnooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMkk#######.",
".#######kkooppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNkk#######.",
".#######kkppqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOkk#######.",
".#######kkqqrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPkk#######.",
".#######kkrrssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQkk#######.",
".#######kkssttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRkk#######.",
".#######kkttuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRSSkk#######.",
".#######kkuuvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRSSTTkk#######.",
".#######kkvvwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRSSTTUUkk#######.",
".#######kkwwxxyyzzAABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRSSTTUUVVkk#######.",
".#######kkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkk#######.",
".######################################################################.",
".######################################################################.",
".######################################################################.",
"........................................................................"};

static const char* const layout3_data[] = {
"72 72 50 1",
". c #000000",
"k c #000083",
"c c #313131",
"b c #474747",
"a c #535353",
"j c #b7996e",
"i c #e2c79e",
"g c #e5d1b3",
"f c #eee1cf",
"d c #f0f0f0",
"h c #f3f3f3",
"e c #faf1e7",
"V c #ffffc9",
"U c #ffffcb",
"T c #ffffcc",
"S c #ffffce",
"R c #ffffcf",
"Q c #ffffd1",
"P c #ffffd2",
"O c #ffffd4",
"N c #ffffd5",
"M c #ffffd7",
"L c #ffffd8",
"K c #ffffda",
"J c #ffffdb",
"I c #ffffdd",
"H c #ffffde",
"G c #ffffe0",
"F c #ffffe1",
"E c #ffffe2",
"D c #ffffe4",
"C c #ffffe5",
"B c #ffffe7",
"A c #ffffe8",
"z c #ffffea",
"y c #ffffeb",
"x c #ffffed",
"w c #ffffee",
"v c #fffff0",
"u c #fffff1",
"t c #fffff3",
"s c #fffff4",
"r c #fffff6",
"q c #fffff7",
"p c #fffff9",
"o c #fffffa",
"n c #fffffc",
"m c #fffffd",
"l c #fffffe",
"# c #ffffff",
"........................................................................",
".######################################################################.",
".######################################################################.",
".######################################################################.",
".#######........................###########......................######.",
".#####..########################..#######..######################..####.",
".####..##########################..######.########################.####.",
".####.##aa########################.#####.##########################.###.",
".###.###aa#########################.####.##########################.###.",
".###.###aa#########################.###.############################.##.",
".###.###aa###aaaaabc###############.###.###aaaaabc#######aaaaabc####.##.",
".###.###aa###adddde.###############.###.###adddde.#######adddde.####.##.",
".###.###aa###ad##ef.###############.##.####ad##ef.#######ad##ef.#####.#.",
".###.###aaaa#ad#efg.##aaaa#aaaaaa##.##.####ad#efg.#######ad#efg.#####.#.",
".###.###aaaa#ahefgi.#aaaa##aaaaa###.##.####ahefgi.#######ahefgi.#####.#.",
".###.###aa###befgij.###############.##.####befgij.#######befgij.#####.#.",
".###.###aa###c......###############.##.####c......#######c......#####.#.",
".###.###aa#########################.##.##############################.#.",
".###.###aa#########################.##.##############################.#.",
".###.###aa#########################.##.###aaaaaaaaaa####aaaaaaaaaa###.#.",
".###.###aa#########################.##.##aaaaaaaaaa####aaaaaaaaaa####.#.",
".###.###aa#########################.##.##############################.#.",
".###.###aa#########################.##.##############################.#.",
".###.###aa###aaaaabc###############.##.####aaaaabc#######aaaaabc#####.#.",
".###.###aa###adddde.###############.##.####adddde.#######adddde.#####.#.",
".###.###aa###ad##ef.###############.##.####ad##ef.#######ad##ef.#####.#.",
".###.###aaaa#ad#efg.##aaaa#aaaaaa##.##.####ad#efg.#######ad#efg.#####.#.",
".###.###aaaa#ahefgi.#aaaa##aaaaa###.##.####ahefgi.#######ahefgi.#####.#.",
".###.########befgij.###############.##.####befgij.#######befgij.#####.#.",
".###.########c......###############.##.####c......#######c......#####.#.",
".###.##############################.##.##############################.#.",
".####.############################.###.##############################.#.",
".####..##########################..###.###aaaaaaaaaa####aaaaaaaaaa###.#.",
".#####..########################..####.##aaaaaaaaaa####aaaaaaaaaa####.#.",
".#######........................######.##############################.#.",
".#####################################.##############################.#.",
".#####################################.##############################.#.",
".#####################################.##############################.#.",
".#####################################.####aaaaabc#######aaaaabc#####.#.",
".#####kkkkkkkkkkkkkkkkkkkkkkkkkkkk####.####adddde.#######adddde.#####.#.",
".#####k##############lmnopqrstuvwk####.####ad##ef.#######ad##ef.#####.#.",
".#####k#############lmnopqrstuvwxk####.####ad#efg.#######ad#efg.#####.#.",
".#####k############lmnopqrstuvwxyk####.####ahefgi.#######ahefgi.#####.#.",
".#####k###########lmnopqrstuvwxyzk####.####befgij.#######befgij.#####.#.",
".#####k##########lmnopqrstuvwxyzAk####.####c......#######c......#####.#.",
".#####k#########lmnopqrstuvwxyzABk####.##############################.#.",
".#####k########lmnopqrstuvwxyzABCk####.##############################.#.",
".#####k#######lmnopqrstuvwxyzABCDk####.###aaaaaaaaaa####aaaaaaaaaa###.#.",
".#####k######lmnopqrstuvwxyzABCDEk####.##aaaaaaaaaa####aaaaaaaaaa####.#.",
".#####k#####lmnopqrstuvwxyzABCDEFk####.##############################.#.",
".#####k####lmnopqrstuvwxyzABCDEFGk####.##############################.#.",
".#####k###lmnopqrstuvwxyzABCDEFGHk####.####aaaaabc#######aaaaabc#####.#.",
".#####k##lmnopqrstuvwxyzABCDEFGHIk####.####adddde.#######adddde.#####.#.",
".#####k#lmnopqrstuvwxyzABCDEFGHIJk####.####ad##ef.#######ad##ef.#####.#.",
".#####klmnopqrstuvwxyzABCDEFGHIJKk####.####ad#efg.#######ad#efg.#####.#.",
".#####kmnopqrstuvwxyzABCDEFGHIJKLk####.####ahefgi.#######ahefgi.#####.#.",
".#####knopqrstuvwxyzABCDEFGHIJKLMk####.####befgij.#######befgij.#####.#.",
".#####kopqrstuvwxyzABCDEFGHIJKLMNk####.####c......#######c......#####.#.",
".#####kpqrstuvwxyzABCDEFGHIJKLMNOk####.##############################.#.",
".#####kqrstuvwxyzABCDEFGHIJKLMNOPk####.##############################.#.",
".#####krstuvwxyzABCDEFGHIJKLMNOPQk####.###aaaaaaaaaa####aaaaaaaaaa###.#.",
".#####kstuvwxyzABCDEFGHIJKLMNOPQRk#####.#aaaaaaaaaa####aaaaaaaaaa###.##.",
".#####ktuvwxyzABCDEFGHIJKLMNOPQRSk#####.############################.##.",
".#####kuvwxyzABCDEFGHIJKLMNOPQRSTk#####.############################.##.",
".#####kvwxyzABCDEFGHIJKLMNOPQRSTUk######.##########################.###.",
".#####kwxyzABCDEFGHIJKLMNOPQRSTUVk######.##########################.###.",
".#####kkkkkkkkkkkkkkkkkkkkkkkkkkkk#######.########################.####.",
".########################################..######################..####.",
".##########################################......................######.",
".######################################################################.",
".######################################################################.",
"........................................................................"};

static const char* const layout4_data[] = {
"72 72 50 1",
". c #000000",
"k c #000083",
"c c #313131",
"b c #474747",
"a c #535353",
"j c #b7996e",
"i c #e2c79e",
"h c #e5d1b3",
"f c #eee1cf",
"d c #f0f0f0",
"g c #f3f3f3",
"e c #faf1e7",
"V c #ffffc9",
"U c #ffffcb",
"T c #ffffcc",
"S c #ffffce",
"R c #ffffcf",
"Q c #ffffd1",
"P c #ffffd2",
"O c #ffffd4",
"N c #ffffd5",
"M c #ffffd7",
"L c #ffffd8",
"K c #ffffda",
"J c #ffffdb",
"I c #ffffdd",
"H c #ffffde",
"G c #ffffe0",
"F c #ffffe1",
"E c #ffffe2",
"D c #ffffe4",
"C c #ffffe5",
"B c #ffffe7",
"A c #ffffe8",
"z c #ffffea",
"y c #ffffeb",
"x c #ffffed",
"w c #ffffee",
"v c #fffff0",
"u c #fffff1",
"t c #fffff3",
"s c #fffff4",
"r c #fffff6",
"q c #fffff7",
"p c #fffff9",
"o c #fffffa",
"n c #fffffc",
"m c #fffffd",
"l c #fffffe",
"# c #ffffff",
"........................................................................",
".######################################################################.",
".######################################################################.",
".#######################################............................###.",
".########......................#######...##########################...#.",
".######..######################..#####.##############################.#.",
".######.########################.#####.####aaaaabc########aaaaabc####.#.",
".#####.##########################.####.####adddde.########adddde.####.#.",
".#####.#aa#######################.####.####ad##ef.########ad##ef.####.#.",
".####.##aa########################.###.####agefhi.########agefhi.####.#.",
".####.##aa########################.###.####befhij.########befhij.####.#.",
".####.##aa###aaaaabc##############.###.####c......########c......####.#.",
".###.###aa###adddde.###############.##.##############################.#.",
".###.###aa###ad##ef.###############.##.##############################.#.",
".###.###aaaa#ad#efh.##aaaa#aaaaaa##.##.###aaaaaaaaaa#####aaaaaaaaaa##.#.",
".###.###aaaa#agefhi.#aaaa##aaaaa###.##.##aaaaaaaaaa#####aaaaaaaaaa###.#.",
".###.###aa###befhij.###############.##...##########################...#.",
".###.###aa###c......###############.####............................###.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###################################.",
".###.###aa#########################.###kkkkkkkkkkkkkkkkkkkkkkkkkkkk####.",
".###.###aa###aaaaabc###############.###k##############lmnopqrstuvwk####.",
".###.###aa###adddde.###############.###k##############lmnopqrstuvwk####.",
".###.###aa###ad##ef.###############.###k#############lmnopqrstuvwxk####.",
".###.###aaaa#ad#efh.##aaaa#aaaaaa##.###k#############lmnopqrstuvwxk####.",
".###.###aaaa#agefhi.#aaaa##aaaaa###.###k############lmnopqrstuvwxyk####.",
".###.########befhij.###############.###k###########lmnopqrstuvwxyzk####.",
".###.########c......###############.###k###########lmnopqrstuvwxyzk####.",
".###.##############################.###k##########lmnopqrstuvwxyzAk####.",
".###.##############################.###k#########lmnopqrstuvwxyzABk####.",
".###.##############################.###k#########lmnopqrstuvwxyzABk####.",
".###.##############################.###k########lmnopqrstuvwxyzABCk####.",
".###.###aa#########################.###k########lmnopqrstuvwxyzABCk####.",
".###.###aa#########################.###k#######lmnopqrstuvwxyzABCDk####.",
".###.###aa#########################.###k######lmnopqrstuvwxyzABCDEk####.",
".###.###aa###aaaaabc###############.###k######lmnopqrstuvwxyzABCDEk####.",
".###.###aa###adddde.###############.###k#####lmnopqrstuvwxyzABCDEFk####.",
".###.###aa###ad##ef.###############.###k#####lmnopqrstuvwxyzABCDEFk####.",
".###.###aaaa#ad#efh.##aaaa#aaaaaa##.###k####lmnopqrstuvwxyzABCDEFGk####.",
".###.###aaaa#agefhi.#aaaa##aaaaa###.###k###lmnopqrstuvwxyzABCDEFGHk####.",
".###.###aa###befhij.###############.###k###lmnopqrstuvwxyzABCDEFGHk####.",
".###.###aa###c......###############.###k##lmnopqrstuvwxyzABCDEFGHIk####.",
".###.###aa#########################.###k#lmnopqrstuvwxyzABCDEFGHIJk####.",
".###.###aa#########################.###k#lmnopqrstuvwxyzABCDEFGHIJk####.",
".###.###aa#########################.###klmnopqrstuvwxyzABCDEFGHIJKk####.",
".###.###aa#########################.###klmnopqrstuvwxyzABCDEFGHIJKk####.",
".###.###aa#########################.###kmnopqrstuvwxyzABCDEFGHIJKLk####.",
".###.###aa#########################.###knopqrstuvwxyzABCDEFGHIJKLMk####.",
".###.###aa###aaaaabc###############.###knopqrstuvwxyzABCDEFGHIJKLMk####.",
".###.###aa###adddde.###############.###kopqrstuvwxyzABCDEFGHIJKLMNk####.",
".###.###aa###ad##ef.###############.###kopqrstuvwxyzABCDEFGHIJKLMNk####.",
".###.###aaaa#ad#efh.##aaaa#aaaaaa##.###kpqrstuvwxyzABCDEFGHIJKLMNOk####.",
".###.###aaaa#agefhi.#aaaa##aaaaa###.###kqrstuvwxyzABCDEFGHIJKLMNOPk####.",
".###.########befhij.###############.###kqrstuvwxyzABCDEFGHIJKLMNOPk####.",
".###.########c......###############.###krstuvwxyzABCDEFGHIJKLMNOPQk####.",
".###.##############################.###kstuvwxyzABCDEFGHIJKLMNOPQRk####.",
".###.##############################.###kstuvwxyzABCDEFGHIJKLMNOPQRk####.",
".####.############################.####ktuvwxyzABCDEFGHIJKLMNOPQRSk####.",
".####.############################.####ktuvwxyzABCDEFGHIJKLMNOPQRSk####.",
".####.############################.####kuvwxyzABCDEFGHIJKLMNOPQRSTk####.",
".#####.##########################.#####kvwxyzABCDEFGHIJKLMNOPQRSTUk####.",
".#####.##########################.#####kvwxyzABCDEFGHIJKLMNOPQRSTUk####.",
".######.########################.######kwxyzABCDEFGHIJKLMNOPQRSTUVk####.",
".######..######################..######kwxyzABCDEFGHIJKLMNOPQRSTUVk####.",
".########......................########kkkkkkkkkkkkkkkkkkkkkkkkkkkk####.",
".######################################################################.",
".######################################################################.",
".######################################################################.",
"........................................................................"};


ConfShowImg::ConfShowImg(QWidget *parent)
:KDialogBase(IconList/*Tabbed*/, i18n("Configure showimg"),
		Ok|Cancel, Ok,
		parent, "Configure showimg", true)
{
	addPage1();
	addPage2();
	addPage3();
	addPage4();
	addPage5();
	
	resize( 550, 355 );
}

ConfShowImg::~ConfShowImg()
{
}


void
ConfShowImg::initFiling(bool trash, bool del, bool shred)
{
	trashCheck->setChecked(trash);
	deleteCheck->setChecked(del);
	shredCheck->setChecked(shred);
}

bool
ConfShowImg::checkTrash()
{
	return trashCheck->isChecked();
}
bool
ConfShowImg::checkDelete()
{
	return deleteCheck->isChecked();
}
bool
ConfShowImg::checkShred()
{
	return shredCheck->isChecked();
}

void
ConfShowImg::addPage1()
{
	page1 = addPage( i18n("Filing"),
			 i18n("Filing"),
	    		 BarIcon("fileopen", 32));
	GroupBox8 = new QGroupBox( page1, "GroupBox8" );
	GroupBox8->setGeometry( QRect( 10, 10, 300, 110 ) );
	GroupBox8->setTitle( i18n( "Confirmations" ) );

	trashCheck = new QCheckBox( GroupBox8, "trashCheck" );
	trashCheck->setGeometry( QRect( 30, 20, 250, 20 ) );
	trashCheck->setText( i18n( "Move to trash" ) );

	deleteCheck = new QCheckBox( GroupBox8, "deleteCheck" );
	deleteCheck->setGeometry( QRect( 30, 50, 250, 20 ) );
	deleteCheck->setText( i18n( "Delete" ) );

	shredCheck = new QCheckBox( GroupBox8, "shredCheck" );
	shredCheck->setGeometry( QRect( 30, 80, 250, 20 ) );
	shredCheck->setText( i18n( "Shred" ) );

	GroupBox13 = new QGroupBox( page1, "GroupBox13" );
	GroupBox13->setGeometry( QRect( 10, 130, 300, 100 ) );
	GroupBox13->setTitle( i18n( "Move/Copy duplicate Files" ) );
	GroupBox13->setEnabled(false);

	ComboBox1 = new QComboBox( FALSE, GroupBox13, "ComboBox1" );
	ComboBox1->insertItem( i18n( "Ask" ) );
	ComboBox1->insertItem( i18n( "Replace" ) );
	ComboBox1->setGeometry( QRect( 10, 30, 151, 30 ) );

	TextLabel4 = new QLabel( GroupBox13, "TextLabel4" );
	TextLabel4->setGeometry( QRect( 10, 60, 200, 20 ) );
	TextLabel4->setText( i18n( "Auto-rename separator" ) );
	TextLabel4->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

	LineEdit7 = new QLineEdit( GroupBox13, "LineEdit7" );
	LineEdit7->setGeometry( QRect( 220, 60, 30, 20 ) );
	LineEdit7->setMaxLength( 1 );

	// signals and slots connections
	connect( LineEdit7, SIGNAL( textChanged(const QString&) ), LineEdit7, SLOT( setText(const QString&) ) );

	// tab order
	setTabOrder( trashCheck, deleteCheck );
	setTabOrder( deleteCheck, shredCheck );
	setTabOrder( shredCheck, ComboBox1 );
	setTabOrder( ComboBox1, LineEdit7 );
}

void
ConfShowImg::initMiscellaneous(bool storeth, bool smooth, bool sDir, bool sFile)
{
	storethCheck->setChecked(storeth);
	smoothCheck->setChecked(smooth);
	sDirCheck ->setChecked(sDir);
	sFileCheck ->setChecked(sFile);
}

bool
ConfShowImg::getStoreth()
{
	return storethCheck->isChecked();
}
bool
ConfShowImg::getSmooth()
{
	return smoothCheck->isChecked();
}
bool
ConfShowImg::getShowDir()
{
	return sDirCheck->isChecked();
}
bool
ConfShowImg::getShowFile()
{
	return sFileCheck->isChecked();
}

void
ConfShowImg::addPage2()
{
	page2 = addPage( i18n("Miscellaneous"),
			 i18n("Miscellaneous"),
	    		 BarIcon("misc", 32));
	
	GroupBox18 = new QGroupBox( page2, "GroupBox18" );
	GroupBox18->setGeometry( QRect( 10, 10, 250, 70 ) );
	GroupBox18->setTitle( i18n( "Thumbnails" ) );

	storethCheck = new QCheckBox( GroupBox18, "CheckBox20" );
	storethCheck->setGeometry( QRect( 30, 20, 210, 40 ) );
	storethCheck->setText( i18n( "Store &thumbnails" ) );
	storethCheck->setChecked( TRUE );
	
	QGroupBox* GroupBox19 = new QGroupBox( page2, "GroupBox19" );
	GroupBox19->setGeometry( QRect( 10, 90, 250, 70 ) );
	GroupBox19->setTitle( i18n( "Zoom mode" ) );
	smoothCheck = new QCheckBox( GroupBox19, "CheckBox21" );
	smoothCheck->setGeometry( QRect( 30, 20, 210, 40 ) );
	smoothCheck->setText( i18n( "Smooth &scale" ) );
	smoothCheck->setChecked( TRUE );
    QToolTip::add(  smoothCheck, i18n( "Better quality but slower and requires more memory" ) );
	
	QGroupBox* GroupBox20 = new QGroupBox( page2, "GroupBox20" );
	GroupBox20->setGeometry( QRect( 10, 170, 250, 95 ) );
	GroupBox20->setTitle( i18n( "Hidden files and directories" ) );
	sDirCheck = new QCheckBox( GroupBox20, "CheckBox21" );
	sDirCheck->setGeometry( QRect( 30, 20, 210, 40 ) );
	sDirCheck->setText( i18n( "Show hidden &directories" ) );
	sDirCheck->setChecked( TRUE );
	sFileCheck = new QCheckBox( GroupBox20, "CheckBox21" );
	sFileCheck->setGeometry( QRect( 30, 50, 210, 40 ) );
	sFileCheck->setText( i18n( "Show hidden &files" ) );
	sFileCheck->setChecked( TRUE );

}

void
ConfShowImg::initColor(QColor bgcolor, int gray)
{
	color->setColor(bgcolor);
	
	if(gray!=-1)
	{
		graySlider->setValue((int)(gray));
		//graySlider->setEnabled( true );
		//PixmapLabel1->setEnabled( true );
		grayCheck->setChecked(true);
	}
}

QColor
ConfShowImg::getColor()
{
	return color->color();
}

int
ConfShowImg::getGrayscale()
{
	if(grayCheck->isChecked())
		return graySlider->value();
	else
		return -1;
}

void
ConfShowImg::addPage3()
{
	page3 = addPage( i18n("Colors"),
			 i18n("Colors"),
	    		 BarIcon("colorize", 32));

	ButtonGroup2 = new QButtonGroup(page3 , "ButtonGroup2" );
	ButtonGroup2->setGeometry( QRect( 10, 10, 270, 110 ) );
	ButtonGroup2->setTitle( i18n( "Background" ) );

	RadioButton5 = new QRadioButton( ButtonGroup2, "RadioButton5" );
	RadioButton5->setEnabled( FALSE );
	RadioButton5->setGeometry( QRect( 130, 30, 130, 20 ) );
	RadioButton5->setText( i18n( "Tiled Image :" ) );

	PushButton1 = new QPushButton( ButtonGroup2, "PushButton1" );
	PushButton1->setEnabled( FALSE );
	PushButton1->setGeometry( QRect( 140, 60, 91, 30 ) );
	PushButton1->setText( i18n( "Choose..." ) );

	RadioButton4 = new QRadioButton( ButtonGroup2, "RadioButton4" );
	RadioButton4->setGeometry( QRect( 20, 30, 111, 21 ) );
	RadioButton4->setText( i18n( "Color :" ) );
	RadioButton4->setChecked( TRUE );

	color = new KColorButton( ButtonGroup2, "color" );
	color->setGeometry( QRect( 40, 60, 60, 30 ) );
	color->setFlat( TRUE );

	GroupBox6 = new QGroupBox( page3, "GroupBox6" );
	GroupBox6->setGeometry( QRect( 10, 130, 271, 100 ) );
	GroupBox6->setTitle( i18n( "Grayscale" ) );

	grayCheck = new QCheckBox( GroupBox6, "grayCheck" );
	grayCheck->setGeometry( QRect( 20, 20, 160, 21 ) );
	grayCheck->setText( i18n( "View in &grayscale" ) );

	graySlider = new QSlider( GroupBox6, "graySlider" );
	graySlider->setEnabled( FALSE );
	graySlider->setGeometry( QRect( 20, 50, 150, 21 ) );
	graySlider->setMinValue( 1 );
	graySlider->setMaxValue( 100 );
	graySlider->setLineStep( 10 );
	graySlider->setValue( 10 );
	graySlider->setTracking( FALSE );
	graySlider->setOrientation( QSlider::Horizontal );
	graySlider->setTickmarks( QSlider::Both );

	PixmapLabel1 = new QLabel( GroupBox6, "PixmapLabel1" );
	PixmapLabel1->setEnabled( FALSE );
	PixmapLabel1->setGeometry( QRect( 180, 20, 80, 71 ) );
	image0 = new QPixmap(( const char** )image10_data);
	PixmapLabel1->setPixmap( *image0 );
	PixmapLabel1->setScaledContents( TRUE );

	// signals and slots connections
	connect( RadioButton4, SIGNAL( toggled(bool) ), color, SLOT( setEnabled(bool) ) );
	connect( RadioButton5, SIGNAL( toggled(bool) ), PushButton1, SLOT( setEnabled(bool) ) );
	connect( grayCheck, SIGNAL( toggled(bool) ), graySlider, SLOT( setEnabled(bool) ) );
	connect( grayCheck, SIGNAL( toggled(bool) ), PixmapLabel1, SLOT( setEnabled(bool) ) );
	connect( graySlider, SIGNAL( sliderMoved(int) ), this, SLOT( setGrayscale(int) ) );

	// tab order
	setTabOrder( RadioButton4, color );
	setTabOrder( color, PushButton1 );
}

void
ConfShowImg::initSlideshow(int type, int time)
{
	if(type==0)
		forward->setChecked( TRUE );
	else
	if(type==1)
		backward->setChecked( TRUE );
	else
	if(type==2)
		random->setChecked( TRUE );
	
	timeSlide->setValue(time);
}

int
ConfShowImg::getSlideshowType()
{
	if(forward->isChecked())
		return 0;
	else
	if(backward->isChecked())
		return 1;
	else
		return 2;
}

int
ConfShowImg::getSlideshowTime()
{
	return timeSlide->value();
}

void
ConfShowImg::addPage4()
{
	page4 = addPage( i18n("Slide show"),
			 i18n("Slide show"),
	    		 BarIcon("run", 32));

	GroupBox2 = new QGroupBox(page4 , "GroupBox2" );
	GroupBox2->setGeometry( QRect( 210, 20, 230, 151 ) );
	GroupBox2->setTitle( i18n( "Timed slide show" ) );

	timeSlide = new QSlider( GroupBox2, "timeSlide" );
	timeSlide->setGeometry( QRect( 11, 40, 210, 21 ) );
	timeSlide->setOrientation( QSlider::Horizontal );
	timeSlide->setMinValue( 1 );
	timeSlide->setMaxValue( 6 );

	//timeLine = new QLineEdit( GroupBox2, "timeLine" );
	//timeLine->setGeometry( QRect( 20, 90, 80, 28 ) );

	timeLabel = new QLabel( GroupBox2, "timeLabel" );
	timeLabel->setGeometry( QRect( 10, 90, 200, 31 ) );
	timeLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignCenter ) );
	//timeLabel->setText( i18n( "TextLabel3" ) );

	ButtonGroup3 = new QButtonGroup(page4 , "ButtonGroup3" );
	ButtonGroup3->setGeometry( QRect( 10, 10, 191, 161 ) );
	ButtonGroup3->setTitle( i18n( "Sequence" ) );

	wraparound = new QCheckBox( ButtonGroup3, "wraparound" );
	wraparound->setGeometry( QRect( 20, 130, 151, 21 ) );
	wraparound->setText( i18n( "Wrap around" ) );

	Line1 = new QFrame( ButtonGroup3, "Line1" );
	Line1->setGeometry( QRect( 21, 110, 160, 20 ) );
	Line1->setFrameStyle( QFrame::HLine | QFrame::Sunken );

	backward = new QRadioButton( ButtonGroup3, "backward" );
	backward->setGeometry( QRect( 20, 60, 160, 21 ) );
	backward->setText( i18n( "&Backward" ) );
	ButtonGroup3->insert( backward, 1 );

	random = new QRadioButton( ButtonGroup3, "random" );
	random->setGeometry( QRect( 20, 90, 160, 21 ) );
	random->setText( i18n( "&Random" ) );
	ButtonGroup3->insert( random, 2 );

	forward = new QRadioButton( ButtonGroup3, "forward" );
	forward->setGeometry( QRect( 20, 30, 160, 21 ) );
	forward->setText( i18n( "&Forward" ) );
	forward->setChecked( TRUE );
	ButtonGroup3->insert( forward, 0 );

	// signals and slots connections
	connect( timeSlide, SIGNAL( valueChanged(int) ), this, SLOT( slotChangeTime(int) ) );

	// tab order
	setTabOrder( forward, wraparound );
	setTabOrder( wraparound, timeSlide );
	setTabOrder( timeSlide, backward );
}


void
ConfShowImg::slotChangeTime(int)
{
	switch(timeSlide->value())
	{
		case 1:/*timeLine->setText(i18n("1 second")); */timeLabel->setText(i18n("1 second")); break;
		case 2:/*timeLine->setText(i18n("5 seconds"));*/ timeLabel->setText(i18n("5 seconds"));break;
		case 3:/*timeLine->setText(i18n("10 seconds"));*/ timeLabel->setText(i18n("10 seconds"));break;
		case 4:/*timeLine->setText(i18n("30 seconds"));*/ timeLabel->setText(i18n("30 seconds"));break;
		case 5:/*timeLine->setText(i18n("60 seconds")); */timeLabel->setText(i18n("1 minute"));break;
		case 6:/*timeLine->setText(i18n("120 seconds"));*/ timeLabel->setText(i18n("2 minutes"));break;
	}
}

int
ConfShowImg::getLayout()
{
	if(radioButton_1->isChecked())
		return 1;
	else
	if(radioButton_2->isChecked())
		return 2;
	else
	if(radioButton_3->isChecked())
		return 3;
	else
	if(radioButton_4->isChecked())
		return 4;
	else
		return 5;
}

void
ConfShowImg::setLayout(int l)
{
	if(l==1)
		radioButton_1->setChecked(true);
	else
	if(l==2)
		radioButton_2->setChecked(true);
	else
	if(l==3)
		radioButton_3->setChecked(true);
	else
	if(l==4)
		radioButton_4->setChecked(true);
	else
		radioButton_5->setChecked(true);
}

void
ConfShowImg::addPage5()
{
	page5 = addPage( i18n("Layout"),
			 i18n("Layout"),
			 BarIcon("view_choose", 32));

    QPixmap image0( ( const char** ) layout1_data );
    QPixmap image1( ( const char** ) layout2_data );
    QPixmap image2( ( const char** ) layout3_data );
    QPixmap image3( ( const char** ) layout4_data );

    QButtonGroup *ButtonGroup2 = new QButtonGroup( page5, "ButtonGroup2" );
    ButtonGroup2->setGeometry( QRect( 10, 10, 230, 220 ) );
    ButtonGroup2->setTitle( i18n( "Layout" ) );

    radioButton_1 = new QRadioButton( ButtonGroup2, "radioButton_1" );
    radioButton_1->setGeometry( QRect( 10, 20, 100, 80 ) );
    radioButton_1->setPixmap( image0 );

    radioButton_2 = new QRadioButton( ButtonGroup2, "radioButton_2" );
    radioButton_2->setGeometry( QRect( 110, 20, 100, 80 ) );
    radioButton_2->setPixmap( image1 );

    radioButton_3 = new QRadioButton( ButtonGroup2, "radioButton_3" );
    radioButton_3->setGeometry( QRect( 10, 100, 100, 80 ) );
    radioButton_3->setPixmap( image2 );

    radioButton_4 = new QRadioButton( ButtonGroup2, "radioButton_4" );
    radioButton_4->setGeometry( QRect( 110, 100, 100, 80 ) );
    radioButton_4->setPixmap( image3 );

    radioButton_5 = new QRadioButton( ButtonGroup2, "radioButton_5" );
    radioButton_5->setGeometry( QRect( 110, 190, 100, 20 ) );
    radioButton_5->setText( i18n("&current"));
    radioButton_5->setChecked( TRUE );
}



void
ConfShowImg::setGrayscale(int val)
{
    KPixmap pix(*image0);
    float taux=((float)val)/100;
    PixmapLabel1->setPixmap(KPixmapEffect::desaturate( pix, taux));
}


